X Pixmap Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Pixmap Functions
Ecore » Ecore_X - X11 Integration

Functions that operate on pixmaps. More...

## Functions
Ecore_X_Pixmap | ecore_x_pixmap_new (Ecore_X_Window win, int w, int h, int dep)
| Creates a new pixmap.
void | ecore_x_pixmap_free (Ecore_X_Pixmap pmap)
| Deletes the reference to the given pixmap.
void | ecore_x_pixmap_paste (Ecore_X_Pixmap pmap, Ecore_X_Drawable dest, Ecore_X_GC gc, int sx, int sy, int w, int h, int dx, int dy)
| Pastes a rectangular area of the given pixmap onto the given drawable.
void | ecore_x_pixmap_geometry_get (Ecore_X_Pixmap pmap, int *x, int *y, int *w, int *h)
| Retrieves the size of the given pixmap.
int | ecore_x_pixmap_depth_get (Ecore_X_Pixmap pmap)
| Retrieves the depth of the given pixmap.

## Detailed Description

Functions that operate on pixmaps.

## Function Documentation

## ◆ ecore_x_pixmap_new()

Ecore_X_Pixmap ecore_x_pixmap_new | ( | Ecore_X_Window | win,
|  | int | w,
|  | int | h,
|  | int | dep
| ) |  |

Creates a new pixmap.

Parameters

  win | Window used to determine which screen of the display the pixmap should be created on. If 0, the default root window is used.
  w | Width of the new pixmap.
  h | Height of the new pixmap.
  dep | Depth of the pixmap. If 0, the default depth of the default screen is used.

Returns
  New pixmap.

References ecore_x_sync().

## ◆ ecore_x_pixmap_free()

void ecore_x_pixmap_free | ( | Ecore_X_Pixmap | pmap | ) |

Deletes the reference to the given pixmap.

If no other clients have a reference to the given pixmap, the server will destroy it.

Parameters

  pmap | The given pixmap.

References ecore_x_sync().

## ◆ ecore_x_pixmap_paste()

void ecore_x_pixmap_paste | ( | Ecore_X_Pixmap | pmap,
|  | Ecore_X_Drawable | dest,
|  | Ecore_X_GC | gc,
|  | int | sx,
|  | int | sy,
|  | int | w,
|  | int | h,
|  | int | dx,
|  | int | dy
| ) |  |

Pastes a rectangular area of the given pixmap onto the given drawable.

Parameters

  pmap | The given pixmap.
  dest | The given drawable.
  gc | The graphics context which governs which operation will be used to paste the area onto the drawable.
  sx | The X position of the area on the pixmap.
  sy | The Y position of the area on the pixmap.
  w | The width of the area.
  h | The height of the area.
  dx | The X position at which to paste the area on `dest`.
  dy | The Y position at which to paste the area on `dest`.

References ecore_x_sync().

## ◆ ecore_x_pixmap_geometry_get()

void ecore_x_pixmap_geometry_get | ( | Ecore_X_Pixmap | pmap,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieves the size of the given pixmap.

Parameters

  pmap | The given pixmap.
  x | Pointer to an integer in which to store the X position.
  y | Pointer to an integer in which to store the Y position.
  w | Pointer to an integer in which to store the width.
  h | Pointer to an integer in which to store the height.

References ecore_x_drawable_geometry_get(), and ecore_x_sync().

## ◆ ecore_x_pixmap_depth_get()

int ecore_x_pixmap_depth_get | ( | Ecore_X_Pixmap | pmap | ) |

Retrieves the depth of the given pixmap.

Parameters

  pmap | The given pixmap.

Returns
  The depth of the pixmap.

References ecore_x_drawable_depth_get(), and ecore_x_sync().